"""=============================================================
با فرض اینکه عناصر ماتریس A با مرتبه M*N قبلاً ذخیره شده اند؛ منطق
برنامه‌ای را طراحی کنید که جمع عناصر هر ستون ماتریس را به تفکیک
محاسبه و چاپ کند.
============================================================="""

#         Make matrix A
#---------------------------------------
A = []
for i in range(1,5):
    row  = []
    for j in range(1,5):
        row.append(i*j)
        print(i*j,end="\t")
    print()
    A.append(row)



#          Sum for each column
#-----------------------------------------

for i in range(len(A)):
    sum  = 0
    for j in range(len(A[i])):
        sum = sum + A[j][i]
    print("-"*30,"\nColumn ",i+1,"\t==>\t","Sum = ",sum)
